### Function

# GLib compute_hmac_for_string

since: 2.30

#### Declaration

    gchar*
    g_compute_hmac_for_string (
      GChecksumType digest_type,
      const guchar* key,
      gsize key_len,
      const gchar* str,
      gssize length
    )

#### Description

Computes the HMAC for a string.

The hexadecimal string returned will be in lower case.

Available since: 2.30

#### Parameters

`digest_type`

  Type: `GChecksumType`

  A `GChecksumType` to use for the HMAC.

`key`

  Type: An array of `guchar`

  The key to use in the HMAC.

  The length of the array is specified in the `key_len` argument.
  The data is owned by the caller of the function.

`key_len`

  Type: `gsize`

  The length of the key.

`str`

  Type: `const gchar*`

  The string to compute the HMAC for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `gssize`

  The length of the string, or -1 if the string is nul-terminated.

#### Return value

Type: `gchar*`

The HMAC as a hexadecimal string. The returned string should be freed with `g_free()` when done using it.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.